from typing import Dict

api_resource_ids: Dict[str, Dict[str, str]] = {
    "historic-day-ahead-demand-forecast": {
        "id": "9847e7bb-986e-49be-8138-717b25933fbb",
        "url": "https://data.nationalgrideso.com/demand/1-day-ahead-demand-forecast/r/historic_day_ahead_demand_forecasts",
    },
    "day-ahead-demand-forecast": {
        "id": "aec5601a-7f3e-4c4c-bf56-d8e4184d3c5b",
        "url": "https://data.nationalgrideso.com/demand/1-day-ahead-demand-forecast/r/day_ahead_national_demand_forecast",
    },
    "historic-2day-ahead-demand-forecast": {
        "id": "24abd271-5936-45c7-85f4-2a6b450ef6b7",
        "url": "https://data.nationalgrideso.com/demand/2-day-ahead-demand-forecast/r/historic_2_day_ahead_demand_forecasts",
    },
    "2day-ahead-demand-forecast": {
        "id": "cda26f27-4bb6-4632-9fb5-2d029ca605e1",
        "url": "https://data.nationalgrideso.com/demand/2-day-ahead-demand-forecast/r/2_day_ahead_demand_forecast",
    },
    "historic-2-14-days-ahead-demand-forecast": {
        "id": "4dd712a2-ee2c-455d-a9c0-9d3564c80fa0",
        "url": "https://data.nationalgrideso.com/demand/2-14-days-ahead-national-demand-forecast/r/historic_2-14_day_ahead_demand_forecasts",
    },
    "historic-day-ahead-wind-forecast": {
        "id": "7524ec65-f782-4258-aaf8-5b926c17b966",
        "url": "https://data.nationalgrideso.com/demand/day-ahead-wind-forecast/r/historic_day_ahead_wind_forecasts",
    },
    "day-ahead-wind-forecast": {
        "id": "b2f03146-f05d-4824-a663-3a4f36090c71",
        "url": "https://data.nationalgrideso.com/demand/day-ahead-wind-forecast/r/day_ahead_wind_forecast",
    },
    "14-days-ahead-wind-forecast": {
        "id": "93c3048e-1dab-4057-a2a9-417540583929",
        "url": "https://data.nationalgrideso.com/demand/14-days-ahead-wind-forecasts/r/14_days_ahead_wind_forecast",
    },
    "embedded-solar-and-wind": {
        "id": "db6c038f-98af-4570-ab60-24d71ebd0ae5",
        "url": "https://data.nationalgrideso.com/generation/embedded-wind-and-solar-forecasts/r/embedded_solar_and_wind_forecast",
    },
    "demand-data-update": {
        "id": "177f6fa4-ae49-4182-81ea-0c6b35f26ca6",
        "url": "https://data.nationalgrideso.com/demand/daily-demand-update",
    },
    "historic-demand-data-2022": {
        "id": "bb44a1b5-75b1-4db2-8491-257f23385006",
        "url": "https://data.nationalgrideso.com/demand/historic-demand-data/r/historic_demand_data_2022",
    },
    "historic-demand-data-2021": {
        "id": "18c69c42-f20d-46f0-84e9-e279045befc6",
        "url": "https://data.nationalgrideso.com/demand/historic-demand-data/r/historic_demand_data_2021",
    },
    "historic-demand-data-2020": {
        "id": "33ba6857-2a55-479f-9308-e5c4c53d4381",
        "url": "https://data.nationalgrideso.com/demand/historic-demand-data/r/historic_demand_data_2020",
    },
    "historic-demand-data-2019": {
        "id": "dd9de980-d724-415a-b344-d8ae11321432",
        "url": "https://data.nationalgrideso.com/demand/historic-demand-data/r/historic_demand_data_2019",
    },
    "historic-demand-data-2018": {
        "id": "fcb12133-0db0-4f27-a4a5-1669fd9f6d33",
        "url": "https://data.nationalgrideso.com/demand/historic-demand-data/r/historic_demand_data_2018",
    },
    "historic-demand-data-2017": {
        "id": "2f0f75b8-39c5-46ff-a914-ae38088ed022",
        "url": "https://data.nationalgrideso.com/demand/historic-demand-data/r/historic_demand_data_2017",
    },
    "historic-demand-data-2016": {
        "id": "3bb75a28-ab44-4a0b-9b1c-9be9715d3c44",
        "url": "https://data.nationalgrideso.com/demand/historic-demand-data/r/historic_demand_data_2016",
    },
    "historic-demand-data-2015": {
        "id": "cc505e45-65ae-4819-9b90-1fbb06880293",
        "url": "https://data.nationalgrideso.com/demand/historic-demand-data/r/historic_demand_data_2015",
    },
    "historic-demand-data-2014": {
        "id": "b9005225-49d3-40d1-921c-03ee2d83a2ff",
        "url": "https://data.nationalgrideso.com/demand/historic-demand-data/r/historic_demand_data_2014",
    },
    "historic-demand-data-2013": {
        "id": "2ff7aaff-8b42-4c1b-b234-9446573a1e27",
        "url": "https://data.nationalgrideso.com/demand/historic-demand-data/r/historic_demand_data_2013",
    },
    "historic-demand-data-2012": {
        "id": "4bf713a2-ea0c-44d3-a09a-63fc6a634b00",
        "url": "https://data.nationalgrideso.com/demand/historic-demand-data/r/historic_demand_data_2012",
    },
    "historic-demand-data-2011": {
        "id": "01522076-2691-4140-bfb8-c62284752efd",
        "url": "https://data.nationalgrideso.com/demand/historic-demand-data/r/historic_demand_data_2011",
    },
    "historic-demand-data-2010": {
        "id": "b3eae4a5-8c3c-4df1-b9de-7db243ac3a09",
        "url": "https://data.nationalgrideso.com/demand/historic-demand-data/r/historic_demand_data_2010",
    },
    "historic-demand-data-2009": {
        "id": "ed8a37cb-65ac-4581-8dbc-a3130780da3a",
        "url": "https://data.nationalgrideso.com/demand/historic-demand-data/r/historic_demand_data_2009",
    },
    "dc-results-summary": {
        "id": "888e5029-f786-41d2-bc15-cbfd1d285e96",
        "url": "https://data.nationalgrideso.com/ancillary-services/dynamic-containment-data/r/dc_results_summary_master_data_2021-2022",
    },
    "dc-dr-dm-block-orders": {
        "id": "6fd8e042-be27-4c67-ad59-5acdd2a7b0fd",
        "url": "https://data.nationalgrideso.com/ancillary-services/dynamic-containment-data/r/dc,_dr_&_dm_block_orders_master_data_2021-2022",
    },
    "dc-volume-forecast": {
        "id": "d5c3b48a-a0a9-4d57-a02a-ac0af09a6298",
        "url": "https://data.nationalgrideso.com/ancillary-services/dynamic-containment-4-day-forecast/r/dynamic_containment_4_day_forecast_-_history",
    },
    "dc-dr-dm-linear-orders": {
        "id": "26aefbcc-fce0-403f-80e1-4a26af3fe84b",
        "url": "https://data.nationalgrideso.com/ancillary-services/dynamic-containment-data/r/dc_dr_dm_linear_orders_master_data_2021-2023",
    },
    "historic-frequency-data-jan22": {
        "id": "43000c20-1208-4ca7-a419-712c7a1d375c",
        "url": "https://data.nationalgrideso.com/system/system-frequency-data/r/january_2022_-_historic_frequency_data",
    },
    "historic-frequency-data-dec21": {
        "id": "afe9895c-5937-4e78-8949-f0f026643666",
        "url": "https://data.nationalgrideso.com/system/system-frequency-data/r/december_2021_-_historic_frequency_data",
    },
    "historic-frequency-data-nov21": {
        "id": "9bc4746e-3152-4c6f-886e-58377ab88e0e",
        "url": "https://data.nationalgrideso.com/system/system-frequency-data/r/november_2021_-_historic_frequency_data",
    },
    "historic-frequency-data-oct21": {
        "id": "12291f14-95c3-4847-b2ef-3190eaa1193c",
        "url": "https://data.nationalgrideso.com/system/system-frequency-data/r/october_2021_-_historic_frequency_data",
    },
    "historic-frequency-data-sep21": {
        "id": "5cea7516-cbc3-416e-8dbf-162327c16b17",
        "url": "https://data.nationalgrideso.com/system/system-frequency-data/r/september_2021_-_historic_frequency_data",
    },
    "historic-frequency-data-aug21": {
        "id": "ae40912b-de8f-43b1-8eeb-c58e469f2365",
        "url": "https://data.nationalgrideso.com/system/system-frequency-data/r/august_2021_-_historic_frequency_data",
    },
    "historic-frequency-data-jul21": {
        "id": "94d95251-ccbb-4187-ae54-1b90ebf12b9f",
        "url": "https://data.nationalgrideso.com/system/system-frequency-data/r/july_2021_-_historic_frequency_data",
    },
    "historic-frequency-data-jun21": {
        "id": "bd754692-bce7-43b7-ba25-813921476391",
        "url": "https://data.nationalgrideso.com/system/system-frequency-data/r/june_2021_-_historic_frequency_data",
    },
    "historic-frequency-data-may21": {
        "id": "625597eb-7364-4ba8-a306-a7f59dcdc2a7",
        "url": "https://data.nationalgrideso.com/system/system-frequency-data/r/may_2021_-_historic_frequency_data",
    },
    "historic-frequency-data-apr21": {
        "id": "bd6e1b3f-1abb-452c-813c-397a41f7af8d",
        "url": "https://data.nationalgrideso.com/system/system-frequency-data/r/april_2021_-_historic_frequency_data",
    },
    "historic-frequency-data-mar21": {
        "id": "ac4e4031-0f86-48ff-8ecd-147d51ffbb81",
        "url": "https://data.nationalgrideso.com/system/system-frequency-data/r/march_2021_-_historic_frequency_data",
    },
    "historic-frequency-data-feb21": {
        "id": "53e2be31-c68c-40b3-bb83-7ae12240107c",
        "url": "https://data.nationalgrideso.com/system/system-frequency-data/r/february_2021_-_historic_frequency_data",
    },
    "historic-frequency-data-jan21": {
        "id": "fe2502b8-7fef-4027-8399-550a0c84f415",
        "url": "https://data.nationalgrideso.com/system/system-frequency-data/r/january_2021_-_historic_frequency_data",
    },
    "carbon-intensity-forecast": {
        "id": "0e5fde43-2de7-4fb4-833d-c7bca3b658b0",
        "url": "https://data.nationalgrideso.com/carbon-intensity1/national-carbon-intensity-forecast/r/national_carbon_intensity_forecast",
    },
    "transmission-entry-capacity-tec-register": {
        "id": "17becbab-e3e8-473f-b303-3806f43a6a10",
        "url": "https://data.nationalgrideso.com/connection-registers/transmission-entry-capacity-tec-register/r/tec_register",
    },
    "dx-eac-eso-results-summary": {
        "id": "596f29ac-0387-4ba4-a6d3-95c243140707",
        "url": "https://api.nationalgrideso.com/api/3/action/datastore_search",
    },
    "dx-eac-eso-sell-orders": {
        "id": "13b511df-d6ec-4143-afb1-0ecc6fd19810",
        "url": "https://api.nationalgrideso.com/api/3/action/datastore_search",
    },
    "dx-eac-eso-buy-orders": {
        "id": "1cf68f59-8eb8-4f1d-bccf-11b5a47b24e5",
        "url": "https://api.nationalgrideso.com/api/3/action/datastore_search",
    },
    "br-eac-eso-results-summary": {
        "id": "1b3f2ee1-74a0-4939-a5a3-f01f19e663e4",
        "url": "https://api.nationalgrideso.com/api/3/action/datastore_search",
    },
    "br-eac-eso-sell-orders": {
        "id": "3f53c38b-d287-41af-b4c8-769abb6e707a",
        "url": "https://api.nationalgrideso.com/api/3/action/datastore_search",
    },
    "br-eac-eso-buy-orders": {
        "id": "8a549d29-52cd-4016-a04e-c01a3e31bd3a",
        "url": "https://api.nationalgrideso.com/api/3/action/datastore_search",
    },
    "br-eac-eso-results-by-units": {
        "id": "5d8e47be-e262-4398-89b0-6f93f636faf6",
        "url": "https://api.nationalgrideso.com/api/3/action/datastore_search",
    },
}

file_resource_ids: Dict[str, Dict[str, str]] = {
    "historic-generation-mix": {
        "dataset_id": "88313ae5-94e4-4ddc-a790-593554d8c6b9",
        "resource_id": "f93d1835-75bc-43e5-84ad-12472b180a98",
        "filename": "df_fuel_ckan.csv",
        "url": "https://data.nationalgrideso.com/carbon-intensity1/historic-generation-mix",
    }
}
